---
updatedAt: 2026-08-03T17:45:36.000Z
---

# Create Report Request

 <div class="amber-callout" aria-label="Migration notice"><p><strong>Migrate to Global APIs:</strong> New sellers and approved Solution Providers should use Global APIs. Existing users must migrate to avoid disruption and access new capabilities coming to your market. Explore <a href ="https://developer.walmart.com/global-marketplace/docs/global-marketplace-apis" style="text-decoration: underline !important; font-weight: 700;">Global Marketplace migration resources</a>.</p></div><br>

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "version": "1.0",
    "title": "On-request Report Management",
    "description": "The On-request Reports API allows you to request reports immediately about your items for faster retrieval. You can request the report, check status on the report availability, and then download the report URL when report is ready. You can also get a list of all reports requested."
  },
  "x-readme": {
    "samples-languages": [
      "shell"
    ],
    "proxy-enabled": false,
    "explorer-enabled": true
  },
  "servers": [
    {
      "url": "https://marketplace.walmartapis.com",
      "description": "Production URL"
    },
    {
      "url": "https://sandbox.walmartapis.com",
      "description": "Sandbox URL"
    }
  ],
  "security": [
    {
      "basicScheme": []
    }
  ],
  "paths": {
    "/v3/reports/reportRequests": {
      "post": {
        "tags": [
          "On-Request Report"
        ],
        "summary": "Create Report Request",
        "description": " <div class=\"amber-callout\" aria-label=\"Migration notice\"><p><strong>Migrate to Global APIs:</strong> New sellers and approved Solution Providers should use Global APIs. Existing users must migrate to avoid disruption and access new capabilities coming to your market. Explore <a href =\"https://developer.walmart.com/global-marketplace/docs/global-marketplace-apis\" style=\"text-decoration: underline !important; font-weight: 700;\">Global Marketplace migration resources</a>.</p></div><br>",
        "operationId": "generateReport",
        "parameters": [
          {
            "name": "reportType",
            "in": "query",
            "description": "Specifies the report type for the request. For example, reportType=ITEM creates an Item Report.",
            "required": true,
            "schema": {
              "type": "string",
              "enum": [
                "ITEM_CL"
              ]
            }
          },
          {
            "name": "reportVersion",
            "in": "query",
            "description": "Version of report for which the request is created. Supported versions for each report type are currently 'reportVersion=v1' for the following reportType(s): ITEM_CL",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "WM_MARKET",
            "in": "header",
            "required": true,
            "schema": {
              "type": "string",
              "enum": [
                "cl"
              ]
            }
          },
          {
            "in": "header",
            "name": "WM_SEC.ACCESS_TOKEN",
            "description": "The access token retrieved in the Token API call",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": "eyJraWQiOiIzZjVhYTFmNS1hYWE5LTQzM....."
          },
          {
            "in": "header",
            "name": "WM_CONSUMER.CHANNEL.TYPE",
            "description": "A unique ID to track the consumer request by channel. Use the Consumer Channel Type received during onboarding",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "header",
            "name": "WM_QOS.CORRELATION_ID",
            "description": "A unique ID which identifies each API call and used to track and debug issues; use a random generated GUID for this ID",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": "b3261d2d-028a-4ef7-8602-633c23200af6"
          },
          {
            "in": "header",
            "name": "WM_SVC.NAME",
            "description": "Walmart Service Name",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": "Walmart Service Name"
          },
          {
            "in": "header",
            "name": "Accept",
            "description": "Only supported Media Type : application/json",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": "application/json"
          },
          {
            "in": "header",
            "name": "Content-Type",
            "description": "Only supported Media Type : application/json",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": "application/json"
          }
        ],
        "requestBody": {
          "description": "Request body",
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "rowFilters": {
                    "type": "array",
                    "description": "Row Level filters",
                    "items": {
                      "type": "object",
                      "description": "Supertype of all row filters.",
                      "anyOf": [
                        {
                          "title": "EnumFilter",
                          "required": [
                            "columnName",
                            "type"
                          ],
                          "type": "object",
                          "properties": {
                            "values": {
                              "type": "array",
                              "description": "Enum filter values which has to be included in report",
                              "items": {
                                "type": "string",
                                "description": "Enum filter values which has to be included in report"
                              }
                            },
                            "columnName": {
                              "type": "string",
                              "description": "Column on which filter has to be applied"
                            },
                            "type": {
                              "type": "string",
                              "description": "Type of the filter",
                              "enum": [
                                "rangeFilter",
                                "enumFilter"
                              ]
                            }
                          }
                        },
                        {
                          "title": "RangeFilter",
                          "required": [
                            "columnName",
                            "rowFilterType"
                          ],
                          "type": "object",
                          "properties": {
                            "from": {
                              "type": "string",
                              "description": "Filter range start"
                            },
                            "to": {
                              "type": "string",
                              "description": "Filter range end"
                            },
                            "rowFilterType": {
                              "type": "string",
                              "description": "Type of the filter",
                              "enum": [
                                "rangeFilter",
                                "enumFilter"
                              ]
                            },
                            "columnName": {
                              "type": "string",
                              "description": "Column on which filter has to be applied"
                            }
                          }
                        }
                      ]
                    }
                  },
                  "excludeColumns": {
                    "type": "array",
                    "description": "Columns to exclude from report",
                    "items": {
                      "type": "string",
                      "description": "Columns to exclude from report"
                    }
                  }
                },
                "description": "Request Payload"
              },
              "examples": {
                "ITEM_CL": {
                  "value": {
                    "rowFilters": [
                      {
                        "type": "rangeFilter",
                        "columnName": "FECHA DE CREACION DEL PRODUCTO",
                        "from": "2022-03-16",
                        "to": "2023-06-16"
                      },
                      {
                        "type": "rangeFilter",
                        "columnName": "FECHA DE TERMINO DE LA PUBLICACION",
                        "from": "2022-03-16",
                        "to": "2023-06-16"
                      },
                      {
                        "type": "enumFilter",
                        "columnName": "ESTADO DE PUBLICACION",
                        "values": [
                          "PUBLISHED",
                          "IN_PROGRESS"
                        ]
                      },
                      {
                        "type": "enumFilter",
                        "columnName": "CATEGORIA",
                        "values": [
                          "Ciclismo",
                          "Ropa de cama"
                        ]
                      }
                    ]
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Successful Operation",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "requestId": {
                      "type": "string",
                      "description": "Automated ID generated by system that uniquely identifies the report request.",
                      "format": "uuid"
                    },
                    "requestStatus": {
                      "type": "string",
                      "description": "Status of report request. Possible values are RECEIVED, INPROGRESS, READY, ERROR.",
                      "enum": [
                        "RECEIVED",
                        "INPROGRESS",
                        "READY",
                        "ERROR"
                      ]
                    },
                    "requestSubmissionDate": {
                      "type": "string",
                      "description": "Date and time on which the report request is submitted."
                    },
                    "reportType": {
                      "type": "string",
                      "description": "Type of report for which the request is created. Example, ITEM_CL for Item Report.",
                      "enum": [
                        "ITEM_CL"
                      ]
                    },
                    "reportVersion": {
                      "type": "string",
                      "description": "Version of report for which the request is created. Example, v1."
                    },
                    "payload": {
                      "type": "object",
                      "properties": {
                        "rowFilters": {
                          "type": "array",
                          "description": "Row Level filters",
                          "items": {
                            "type": "object",
                            "description": "Supertype of all row filters.",
                            "anyOf": [
                              {
                                "title": "EnumFilter",
                                "required": [
                                  "columnName",
                                  "type"
                                ],
                                "type": "object",
                                "properties": {
                                  "values": {
                                    "type": "array",
                                    "description": "Enum filter values which has to be included in report",
                                    "items": {
                                      "type": "string",
                                      "description": "Enum filter values which has to be included in report"
                                    }
                                  },
                                  "columnName": {
                                    "type": "string",
                                    "description": "Column on which filter has to be applied"
                                  },
                                  "type": {
                                    "type": "string",
                                    "description": "Type of the filter",
                                    "enum": [
                                      "rangeFilter",
                                      "enumFilter"
                                    ]
                                  }
                                }
                              },
                              {
                                "title": "RangeFilter",
                                "required": [
                                  "columnName",
                                  "rowFilterType"
                                ],
                                "type": "object",
                                "properties": {
                                  "from": {
                                    "type": "string",
                                    "description": "Filter range start"
                                  },
                                  "to": {
                                    "type": "string",
                                    "description": "Filter range end"
                                  },
                                  "rowFilterType": {
                                    "type": "string",
                                    "description": "Type of the filter",
                                    "enum": [
                                      "rangeFilter",
                                      "enumFilter"
                                    ]
                                  },
                                  "columnName": {
                                    "type": "string",
                                    "description": "Column on which filter has to be applied"
                                  }
                                }
                              }
                            ]
                          }
                        },
                        "excludeColumns": {
                          "type": "array",
                          "description": "Columns to exclude from report",
                          "items": {
                            "type": "string",
                            "description": "Columns to exclude from report"
                          }
                        }
                      },
                      "description": "Request Payload"
                    }
                  }
                },
                "examples": {
                  "ITEM_CL": {
                    "value": {
                      "requestId": "98884f2c-46c7-48c6-8e19-0946ff371442",
                      "requestStatus": "RECEIVED",
                      "requestSubmissionDate": "2022-09-28T09:14:19",
                      "reportType": "ITEM_CL",
                      "reportVersion": "v1",
                      "payload": {
                        "rowFilters": [
                          {
                            "type": "rangeFilter",
                            "columnName": "FECHA DE CREACION DEL PRODUCTO",
                            "from": "2022-03-16",
                            "to": "2023-06-16"
                          },
                          {
                            "type": "rangeFilter",
                            "columnName": "FECHA DE TERMINO DE LA PUBLICACION",
                            "from": "2022-03-16",
                            "to": "2023-06-16"
                          },
                          {
                            "type": "enumFilter",
                            "columnName": "ESTADO DE PUBLICACION",
                            "values": [
                              "PUBLISHED",
                              "IN_PROGRESS"
                            ]
                          },
                          {
                            "type": "enumFilter",
                            "columnName": "CATEGORIA",
                            "values": [
                              "Ciclismo",
                              "Ropa de cama"
                            ]
                          }
                        ]
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  }
}
```